#!/usr/bin/php5
<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 
require("/usr/share/bm-stats/www/conf/config.php");
require("/usr/share/bm-stats/www/function/dir_file.php");
require("/usr/share/bm-stats/www/function/lang.php");
require("/usr/share/bm-stats/www/function/date.php");
require("/usr/share/bm-stats/www/inc_lang/inc_lang_en.php");


$path_to_pChart = "/usr/share/bm-stats/scripts/PHP/pChart/" ;


if(date("z") == "0" ) { 
    $this_year = date("Y") - 1 ; 
} else { 
    $this_year = date("Y"); 
};

$mktime_yesterday = mktime(0,0,0,date("m"),date("d")-1,date("y"));
$this_year  = date("Y",$mktime_yesterday);
$this_month = date("m",$mktime_yesterday);


function readDFDatFile() {
    Global $path_to_data ; 

    $thisArray = array(); 

    $thisFile = $path_to_data."general/myDF.dat" ;

    $line = file($thisFile);

    foreach ($line as $thisLine) {

      $val = explode("," , $thisLine);
      $timeStamp = $val['0'] ;
      $thisPartition = $val['1'] ;
      $thisRatio = round($val['2']) ;
      
      $thisArray[$timeStamp][] = array($thisPartition,$thisRatio);
    
    }
    ksort($thisArray) ;

    $thisValues =  array_pop($thisArray) ;

    return $thisValues ;

};


function grapheDomainQuotaDatFile($thisArray){
    
    Global  $path_to_data, $l_allPartitionOverview ;

    $title = "$l_allPartitionOverview";
    $path_to_pChart = "/usr/share/bm-stats/scripts/PHP/pChart/" ;


    require_once($path_to_pChart."class/pDraw.class.php");
    require_once($path_to_pChart."class/pImage.class.php");
    
    verif_existence_rep($path_to_data."/generalImg");    
    $img = $path_to_data."/generalImg/dfSurvey.png";

  
    // how many partition 
    $nbOfPartition = count($thisArray) ;

    $height   = 90 + 30*$nbOfPartition ;
    $height48 = $height - 48 ;
    $height20 = $height - 20 ;
    $height5  = $height - 5;
    $height1  = $height - 1;

    $firtPosX =  40 ;
    $firtPosy =  40 ;

    

    /* Create the pChart object */
    $myPicture = new pImage(600,$height);
    
    $myPicture->drawGradientArea(0,0,600,$height,DIRECTION_VERTICAL,array("StartR"=>0,"StartG"=>75,"StartB"=>123,"EndR"=>166,"EndG"=>202,"EndB"=>219,"Alpha"=>100));
    $myPicture->drawGradientArea(0,0,600,20,DIRECTION_HORIZONTAL,array("StartR"=>0,"StartG"=>75,"StartB"=>123,"EndR"=>10,"EndG"=>85,"EndB"=>133,"Alpha"=>100));
    
    $myPicture->drawLine(0,20,600,20,array("R"=>255,"G"=>255,"B"=>255));
    $RectangleSettings = array("R"=>180,"G"=>180,"B"=>180,"Alpha"=>100);
 
    /* Add a border to the picture */
    $myPicture->drawRectangle(0,0,599,$height1,array("R"=>0,"G"=>0,"B"=>0));
 
    /* Write the picture title */
    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
    $myPicture->drawText(10,15,$title,array("R"=>255,"G"=>255,"B"=>255));
 
    /* Set the default font properties */
    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>10,"R"=>80,"G"=>80,"B"=>80));
 
    /* Enable shadow computing */
    $myPicture->setShadow(TRUE,array("X"=>2,"Y"=>2,"R"=>0,"G"=>0,"B"=>0,"Alpha"=>10));
    


   
    /* Bar (green to red ) */
    
    $starty =  $firtPosy ;
    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/DejaVuSansMono-Bold.ttf","FontSize"=>10,"R"=>0,"G"=>0,"B"=>0));
    foreach ($thisArray as $val ) {
     
        $ratio = $val[1];
        $partition = $val[0];
        $posPartionY = $starty + 15 ;


        $myPicture->drawText(410,$posPartionY,$partition,array("FontName"=>$path_to_pChart."fonts/DejaVuSansMono-Bold.ttf","FontSize"=>10,"R"=>0,"G"=>0,"B"=>0));

        $progressOptions = array(
                "Width"=>350, 
                "R"=>134, "G"=>209, "B"=>27, 
                "Surrounding"=>20, 
                "BoxBorderR"=>0, "BoxBorderG"=>0, "BoxBorderB"=>0, 
                "BoxBackR"=>255, "BoxBackG"=>255, "BoxBackB"=>255,
                "RFade"=>255, "GFade"=>0, "BFade"=>0, 
                "NoAngle"=>TRUE, 
                "ShowLabel"=>TRUE, 
                "LabelPos"=>LABEL_POS_LEFT);
   
        $myPicture->drawProgress(50,$starty,$ratio,$progressOptions);  
        $starty += 30 ;
    };
    
    /* Write the picture title */
    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
    $myPicture->drawText(10,15,$title,array("R"=>255,"G"=>255,"B"=>255));
    
    /* Write the Service*/
    
    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
    $myPicture->drawText(460,$height5,"[ ".date("d/m/Y H:i:s")." ] ",array("R"=>2,"G"=>2,"B"=>2));
    $myPicture->drawFromPNG(5,$height48,"/usr/share/bm-stats/scripts/PHP/do_graph/logo-bluemind.png");
   
    
    /* Render the picture */
    $myPicture->Render($img);

};


$thisArray =  readDFDatFile() ;
grapheDomainQuotaDatFile($thisArray) ;
?>
