#!/usr/bin/php5
<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 
/* Fichier de conf/fonctions */
require("/usr/share/bm-stats/www/conf/config.php");
require("/usr/share/bm-stats/www/function/date.php");
require("/usr/share/bm-stats/www/function/lang.php");

/* Variables modifiables*/
$path_to_pChart = "/usr/share/bm-stats/scripts/PHP/pChart/" ;
$dataFile = "/var/lib/bm-stats/general/domainAttachmentStat.dat";


/* DO NOT TOUCH AFTER */
if(date("z") == "0" ) { 
    $this_year = date("Y") - 1 ; 
} else { 
    $this_year = date("Y"); 
};


$mktime_yesterday = mktime(0,0,0,date("m"),date("d")-1,date("y"));
$this_year  = date("Y",$mktime_yesterday);
$this_week  = date("W",$mktime_yesterday);
$this_month = date("m",$mktime_yesterday);
$this_n_day   = date("z",$mktime_yesterday);
        
/* JOB */

// Recup. des donnees
$values = get_values() ;

//print_r($values) ;

// Creation des images
foreach (array_keys($values) as $domain) {
    if($domain != "date" and $domain != "GlobalServer" and $domain != "Externe" and $domain != "d" and $domain != "w") {
        
        $myLang = getLang($domain) ;
        if(!empty($myLang)) $lang=$myLang ;

        require("/usr/share/bm-stats/www/inc_lang/inc_lang_$lang.php");
        
        $this_lit_month = get_month($this_month); 
        $this_full_day = date("d",$mktime_yesterday)." ".$this_lit_month." ".$this_year;

        $case_img = array(    
                    "nbAtt" => array(    
                            "titley" => "$do_graph_nbAtt_titley $this_year",
                            "titlem" => "$do_graph_nbAtt_titlem $this_lit_month $this_year",
                            "titlew" => "$do_graph_nbAtt_titlew $this_week ($this_year)",
                            "titled" => "$do_graph_nbAtt_titled $this_full_day "
                            ),
                    "volAtt" => array(    
                            "titley"=> "$do_graph_volAtt_titley $this_year",
                            "titlem"=> "$do_graph_volAtt_titlem $this_lit_month $this_year",
                            "titlew"=> "$do_graph_volAtt_titlew $this_week ($this_year)",
                            "titled"=> "$do_graph_volAtt_titled  $this_full_day "
                            ),
                    "mimePict" => array(    
                            "titley"=> "$do_graph_mimePict_titley $this_year",
                            "titlem"=> "$do_graph_mimePict_titlem $this_lit_month $this_year",
                            "titlew"=> "$do_graph_mimePict_titlew $this_week ($this_year)",
                            "titled"=> "$do_graph_mimePict_titled  $this_full_day "
                            ),
                    "mimeOff" => array(    
                            "titley"=> "$do_graph_mimeOff_titley $this_year",
                            "titlem"=> "$do_graph_mimeOff_titlem $this_lit_month $this_year",
                            "titlew"=> "$do_graph_mimeOff_titlew $this_week ($this_year)",
                            "titled"=> "$do_graph_mimeOff_titled  $this_full_day "
                            ),
                    "mimeMmd" => array(    
                            "titley"=> "$do_graph_mimeMmd_titley $this_year",
                            "titlem"=> "$do_graph_mimeMmd_titlem $this_lit_month $this_year",
                            "titlew"=> "$do_graph_mimeMmd_titlew $this_week ($this_year)",
                            "titled"=> "$do_graph_mimeMmd_titled  $this_full_day "
                            ),
                    "mimeComp" => array(    
                            "titley"=> "$do_graph_mimeComp_titley $this_year",
                            "titlem"=> "$do_graph_mimeComp_titlem $this_lit_month $this_year",
                            "titlew"=> "$do_graph_mimeComp_titlew $this_week ($this_year)",
                            "titled"=> "$do_graph_mimeComp_titled  $this_full_day "
                            ),
                      );



        foreach(array_keys($case_img) as $case) {

            if(count($values[$domain]['y'][$case]) >1 ) {
                do_img($values,$domain,$case,"y") ;
            };
    
            if(count($values[$domain]['m'][$case]) >1 ) {    
                do_img($values,$domain,$case,"m") ;
            };
            
            if(count($values[$domain]['w'][$case]) >1 ) {
                do_img($values,$domain,$case,"w") ;
            };
            
            if(count($values[$domain]['d'][$case]) >1 ) {
                do_img($values,$domain,$case,"d") ;
            };
        };
    };
};



/* DO NOT TOUCH AFTER */

/* Debut des fonctions locales */


function verif_existence_rep($rep) {
    $PATH=$rep;
    if(!(is_dir($PATH))) {
        $cmd = "mkdir -p $PATH ; chmod -R 755 $PATH  ; chown -R root.www-data $PATH";
        exec($cmd);
    } else {
        $cmd = "chmod -R 755 $PATH ; chown -R root.www-data $PATH ";
        exec($cmd);
    };

};




function get_values() {

    Global $this_year,$this_week,$this_month,$this_n_day, $dataFile  ;  

	$first_date_passed = "0" ;

	$mime['jpeg'] = "0";
	$mime['tiff'] = "0"; 	    
	$mime['png']  = "0";
	$mime['svg']  = "0";
	$mime['bmp']  = "0";
	$mime['gif']  = "0";

	$mime['odt']  = "0";
	$mime['ods']  = "0";
	$mime['odp']  = "0";
	$mime['doc']  = "0";	
	$mime['xls']  = "0";
	$mime['ppt']  = "0";
	$mime['docx'] = "0";
	$mime['xlsx'] = "0";
	$mime['pptx'] = "0";
	$mime['txt']  = "0";
	$mime['rtf']  = "0";
	$mime['pdf']  = "0";

	$mime['avi']  = "0";
	$mime['wma']  = "0";
	$mime['swf']  = "0";
	$mime['mp3']  = "0";
	$mime['mpeg'] = "0";
	$mime['mov']  = "0";
	$mime['vob']  = "0";	

	$mime['zip']  = "0";
	$mime['bzip'] = "0";
	$mime['gzip'] = "0";
	$mime['7z']   = "0";
	$mime['p7s']  = "0";
	$mime['rar']  = "0";


    
	$data = file($dataFile);
	sort($data); 
	foreach($data as $line) {

		if(preg_match("/^$this_year/",$line)) {
			$val = explode(",",$line);
       
			$mime['jpeg'] = "0";
			$mime['tiff'] = "0";
			$mime['png']  = "0";
			$mime['svg']  = "0";
			$mime['bmp']  = "0";
			$mime['gif']  = "0";

			$mime['odt']  = "0";
			$mime['ods']  = "0";
			$mime['odp']  = "0";
			$mime['doc']  = "0";
			$mime['xls']  = "0";
			$mime['ppt']  = "0";
			$mime['docx'] = "0";
			$mime['xlsx'] = "0";
			$mime['pptx'] = "0";
			$mime['txt']  = "0";
			$mime['rtf']  = "0";
			$mime['pdf']  = "0";


			$mime['avi']  = "0";
			$mime['wma']  = "0";
			$mime['swf']  = "0";
			$mime['mp3']  = "0";
			$mime['mpeg'] = "0";
			$mime['mov']  = "0";
			$mime['vob']  = "0";	

			$mime['zip']  = "0";
			$mime['bzip'] = "0";
			$mime['gzip'] = "0";
			$mime['7z']   = "0";
			$mime['p7s']  = "0";
			$mime['rar']  = "0";



			$date = $val['0'];
				$element = explode("-",$date);
				$element_year   = $element[0];         
				$element_month  = $element[1];
				$element_day    = $element[2];                     
				$element_mktime = mktime(0,0,0,$element_month,$element_day,$element_year) ;
				$element_n_day  = date("z",$element_mktime);
				$element_week   = date("W",$element_mktime);
				$element_num_day_of_week = date("N",$element_mktime) ;


			$domain = $val['1'];
		
			$nbAtt0 = $val['2'];
			$nbAtt1 = $val['3'];
			$nbAtt2 = $val['4'];
			$nbAtt3 = $val['5'];
			$nbAtt4 = $val['6'];
			$nbAtt5 = $val['7'];
			$nbAtt6 = $val['8'];

			$volAtt100 = $val['9'];
			$volAtt200 = $val['10'];
			$volAtt500 = $val['11'];
			$volAtt1M = $val['12'];
			$volAtt2M = $val['13'];
			$volAtt3M = $val['14'];
			$volAtt4M = $val['15'];
			$volAtt5M = $val['16'];
			$volAtt6M = $val['17'];
			$mimetype = $val['18'];
	
			//Traitement des types de PJ (bureautique, image) 	
			$sub = explode(";",$mimetype) ;
			foreach( $sub as $stat) {
				$part = explode(":", $stat);
				$ext   = $part[0];
				$value = $part[1];

				//Picture extension
				if($ext=="jpeg")        { $mime['jpeg'] = $value ; };
				if($ext=="tiff")        { $mime['tiff'] = $value ; }; 	    
				if($ext=="png")         { $mime['png']  = $value ; };
				if($ext=="svg")         { $mime['svg']  = $value ; };
				if($ext=="bmp")         { $mime['bmp']  = $value ; };
				if($ext=="gif")         { $mime['gif']  = $value ; };

         

				//Office extension
				if($ext=="docx")        { $mime['docx'] = $value ; };
				if($ext=="xlsx")        { $mime['xlsx'] = $value ; };
				if($ext=="pptx")        { $mime['pptx'] = $value ; };
				if($ext=="odt")         { $mime['odt']  = $value ; };
				if($ext=="ods")         { $mime['ods']  = $value ; };
				if($ext=="odp")         { $mime['odp']  = $value ; };
				if($ext=="doc")         { $mime['doc']  = $value ; };	
				if($ext=="xls")         { $mime['xls']  = $value ; };
				if($ext=="ppt")         { $mime['ppt']  = $value ; };
				if($ext=="txt")         { $mime['txt']  = $value ; };
				if($ext=="rtf")         { $mime['rtf']  = $value ; };
				if($ext=="pdf")         { $mime['pdf']  = $value ; };	


				//Multimedia extension
				if($ext=="avi")         { $mime['avi']  = $value ; };
				if($ext=="wma")         { $mime['wma']  = $value ; };
				if($ext=="swf")         { $mime['swf']  = $value ; };
				if($ext=="mp3")         { $mime['mp3']  = $value ; };
				if($ext=="mpeg")        { $mime['mpeg'] = $value ; };
				if($ext=="mp4")         { $mime['mpeg'] += $value ; };
				if($ext=="mov")         { $mime['mov']  = $value ; };	
				if($ext=="vob")         { $mime['vob']  = $value ; };


				//Compress extension
				if($ext=="zip")         { $mime['zip'] = $value ; };
				if($ext=="bzip2")       { $mime['bz']  = $value ; };
				if($ext=="bz")          { $mime['bz']  += $value ; };
				if($ext=="gzip")        { $mime['gz']  = $value ; };
				if($ext=="gz")          { $mime['gz']  += $value ; };
				if($ext=="7z")          { $mime['7z']  += $value ; };
				if($ext=="p7s")         { $mime['p7s'] = $value ; };	
				if($ext=="rar")         { $mime['rar'] = $value ; };

			};

			if( $this_year==$element_year) {             
				$values[$domain]['y']['nbAtt']['0'] += $nbAtt0 ;
				$values[$domain]['y']['nbAtt']['1'] += $nbAtt1 ;
				$values[$domain]['y']['nbAtt']['2'] += $nbAtt2 ;
				$values[$domain]['y']['nbAtt']['3'] += $nbAtt3 ;            
				$values[$domain]['y']['nbAtt']['4'] += $nbAtt4 ;
				$values[$domain]['y']['nbAtt']['5'] += $nbAtt5 ;
				$values[$domain]['y']['nbAtt']['6'] += $nbAtt6 ;
                
				$values[$domain]['y']['volAtt']['0'] += $volAtt100 ;  
				$values[$domain]['y']['volAtt']['1'] += $volAtt200 ;
				$values[$domain]['y']['volAtt']['2'] += $volAtt500 ;
				$values[$domain]['y']['volAtt']['3'] += $volAtt1M ;
				$values[$domain]['y']['volAtt']['4'] += $volAtt2M ;  
				$values[$domain]['y']['volAtt']['5'] += $volAtt3M ;
				$values[$domain]['y']['volAtt']['6'] += $volAtt4M ;
				$values[$domain]['y']['volAtt']['7'] += $volAtt5M ;
				$values[$domain]['y']['volAtt']['8'] += $volAtt6M ;



				$values[$domain]['y']['mimePict']['0'] += $mime['jpeg'] ;
				$values[$domain]['y']['mimePict']['1'] += $mime['tiff'] ;	    
				$values[$domain]['y']['mimePict']['2'] += $mime['png'] ;
				$values[$domain]['y']['mimePict']['3'] += $mime['svg'] ; 
				$values[$domain]['y']['mimePict']['4'] += $mime['bmp'] ;
				$values[$domain]['y']['mimePict']['5'] += $mime['gif'] ;

				$values[$domain]['y']['mimeOff']['0']  += $mime['odt'] ;
				$values[$domain]['y']['mimeOff']['1']  += $mime['ods'] ;
				$values[$domain]['y']['mimeOff']['2']  += $mime['odp'] ;
				$values[$domain]['y']['mimeOff']['3']  += $mime['doc'] ;
				$values[$domain]['y']['mimeOff']['4']  += $mime['xls'] ;
				$values[$domain]['y']['mimeOff']['5']  += $mime['ppt'] ;
				$values[$domain]['y']['mimeOff']['6']  += $mime['txt'] ;
				$values[$domain]['y']['mimeOff']['7']  += $mime['rtf'] ;
				$values[$domain]['y']['mimeOff']['8']  += $mime['pdf'] ;
				$values[$domain]['y']['mimeOff']['9']  += $mime['docx'] ;
				$values[$domain]['y']['mimeOff']['10'] += $mime['xlsx'] ;
				$values[$domain]['y']['mimeOff']['11'] += $mime['pptx'] ;

				$values[$domain]['y']['mimeMmd']['0'] += $mime['avi'] ;
				$values[$domain]['y']['mimeMmd']['1'] += $mime['wma'] ;
				$values[$domain]['y']['mimeOff']['2'] += $mime['swf'] ;
				$values[$domain]['y']['mimeMmd']['3'] += $mime['mp3'] ;
				$values[$domain]['y']['mimeMmd']['4'] += $mime['mpeg'] ;
				$values[$domain]['y']['mimeMmd']['5'] += $mime['mov'] ;
				$values[$domain]['y']['mimeMmd']['6'] += $mime['vob'] ;

				$values[$domain]['y']['mimeComp']['0'] += $mime['zip'] ;
				$values[$domain]['y']['mimeComp']['1'] += $mime['bz'] ;
				$values[$domain]['y']['mimeComp']['2'] += $mime['gz'] ;
				$values[$domain]['y']['mimeComp']['3'] += $mime['7z'] ;
				$values[$domain]['y']['mimeComp']['4'] += $mime['p7s'] ;
				$values[$domain]['y']['mimeComp']['5'] += $mime['rar'] ;
			};

      
			if( ($this_year==$element_year) and  ($this_month==$element_month) ) {        
				$values[$domain]['m']['nbAtt']['0'] += $nbAtt0 ;
				$values[$domain]['m']['nbAtt']['1'] += $nbAtt1 ;
				$values[$domain]['m']['nbAtt']['2'] += $nbAtt2 ;
				$values[$domain]['m']['nbAtt']['3'] += $nbAtt3 ;            
				$values[$domain]['m']['nbAtt']['4'] += $nbAtt4 ;
				$values[$domain]['m']['nbAtt']['5'] += $nbAtt5 ;
				$values[$domain]['m']['nbAtt']['6'] += $nbAtt6 ;
                
				$values[$domain]['m']['volAtt']['0'] += $volAtt100 ;  
				$values[$domain]['m']['volAtt']['1'] += $volAtt200 ;
				$values[$domain]['m']['volAtt']['2'] += $volAtt500 ;
			    $values[$domain]['m']['volAtt']['3'] += $volAtt1M ;
				$values[$domain]['m']['volAtt']['4'] += $volAtt2M ;  
				$values[$domain]['m']['volAtt']['5'] += $volAtt3M ;
				$values[$domain]['m']['volAtt']['6'] += $volAtt4M ;
			    $values[$domain]['m']['volAtt']['7'] += $volAtt5M ;
				$values[$domain]['m']['volAtt']['8'] += $volAtt6M ;  


				$values[$domain]['m']['mimePict']['0'] += $mime['jpeg'] ;
				$values[$domain]['m']['mimePict']['1'] += $mime['tiff'] ;	    
				$values[$domain]['m']['mimePict']['2'] += $mime['png'] ;
				$values[$domain]['m']['mimePict']['3'] += $mime['svg'] ; 
				$values[$domain]['m']['mimePict']['4'] += $mime['bmp'] ;
				$values[$domain]['m']['mimePict']['5'] += $mime['gif'] ;

				$values[$domain]['m']['mimeOff']['0']  += $mime['odt'] ;
				$values[$domain]['m']['mimeOff']['1']  += $mime['ods'] ;
				$values[$domain]['m']['mimeOff']['2']  += $mime['odp'] ;
				$values[$domain]['m']['mimeOff']['3']  += $mime['doc'] ;
				$values[$domain]['m']['mimeOff']['4']  += $mime['xls'] ;
				$values[$domain]['m']['mimeOff']['5']  += $mime['ppt'] ;
				$values[$domain]['m']['mimeOff']['6']  += $mime['txt'] ;
				$values[$domain]['m']['mimeOff']['7']  += $mime['rtf'] ;
				$values[$domain]['m']['mimeOff']['8']  += $mime['pdf'] ;
				$values[$domain]['m']['mimeOff']['9']  += $mime['docx'] ;
				$values[$domain]['m']['mimeOff']['10'] += $mime['xlsx'] ;
				$values[$domain]['m']['mimeOff']['11'] += $mime['pptx'] ;

				$values[$domain]['m']['mimeMmd']['0'] += $mime['avi'] ;
				$values[$domain]['m']['mimeMmd']['1'] += $mime['wma'] ;
				$values[$domain]['m']['mimeMmd']['2'] += $mime['swf'] ;
				$values[$domain]['m']['mimeMmd']['3'] += $mime['mp3'] ;
				$values[$domain]['m']['mimeMmd']['4'] += $mime['mpeg'] ;
				$values[$domain]['m']['mimeMmd']['5'] += $mime['mov'] ;
				$values[$domain]['m']['mimeMmd']['6'] += $mime['vob'] ;

				$values[$domain]['m']['mimeComp']['0'] += $mime['zip'] ;
				$values[$domain]['m']['mimeComp']['1'] += $mime['bz'] ;
				$values[$domain]['m']['mimeComp']['2'] += $mime['gz'] ;
				$values[$domain]['m']['mimeComp']['3'] += $mime['7z'] ;
				$values[$domain]['m']['mimeComp']['4'] += $mime['p7s'] ;
				$values[$domain]['m']['mimeComp']['5'] += $mime['rar'] ;
			};

			if( ($this_year==$element_year) and  ($this_week==$element_week) ) {        
				$values[$domain]['w']['nbAtt']['0'] += $nbAtt0 ;
				$values[$domain]['w']['nbAtt']['1'] += $nbAtt1 ;
				$values[$domain]['w']['nbAtt']['2'] += $nbAtt2 ;
				$values[$domain]['w']['nbAtt']['3'] += $nbAtt3 ;            
				$values[$domain]['w']['nbAtt']['4'] += $nbAtt4 ;
				$values[$domain]['w']['nbAtt']['5'] += $nbAtt5 ;
				$values[$domain]['w']['nbAtt']['6'] += $nbAtt6 ;
                
				$values[$domain]['w']['volAtt']['0'] += $volAtt100 ;  
				$values[$domain]['w']['volAtt']['1'] += $volAtt200 ;
				$values[$domain]['w']['volAtt']['2'] += $volAtt500 ;
				$values[$domain]['w']['volAtt']['3'] += $volAtt1M ;
				$values[$domain]['w']['volAtt']['4'] += $volAtt2M ;  
				$values[$domain]['w']['volAtt']['5'] += $volAtt3M ;
				$values[$domain]['w']['volAtt']['6'] += $volAtt4M ;
				$values[$domain]['w']['volAtt']['7'] += $volAtt5M ;
				$values[$domain]['w']['volAtt']['8'] += $volAtt6M ;  


				$values[$domain]['w']['mimePict']['0'] += $mime['jpeg'] ;
				$values[$domain]['w']['mimePict']['1'] += $mime['tiff'] ;	    
				$values[$domain]['w']['mimePict']['2'] += $mime['png'] ;
				$values[$domain]['w']['mimePict']['3'] += $mime['svg'] ; 
				$values[$domain]['w']['mimePict']['4'] += $mime['bmp'] ;
				$values[$domain]['w']['mimePict']['5'] += $mime['gif'] ;

				$values[$domain]['w']['mimeOff']['0']  += $mime['odt'] ;
				$values[$domain]['w']['mimeOff']['1']  += $mime['ods'] ;
				$values[$domain]['w']['mimeOff']['2']  += $mime['odp'] ;
				$values[$domain]['w']['mimeOff']['3']  += $mime['doc'] ;
				$values[$domain]['w']['mimeOff']['4']  += $mime['xls'] ;
				$values[$domain]['w']['mimeOff']['5']  += $mime['ppt'] ;
				$values[$domain]['w']['mimeOff']['6']  += $mime['txt'] ;
				$values[$domain]['w']['mimeOff']['7']  += $mime['rtf'] ;
				$values[$domain]['w']['mimeOff']['8']  += $mime['pdf'] ;
				$values[$domain]['w']['mimeOff']['9']  += $mime['docx'] ;
				$values[$domain]['w']['mimeOff']['10'] += $mime['xlsx'] ;
				$values[$domain]['w']['mimeOff']['11'] += $mime['pptx'] ;

				$values[$domain]['w']['mimeMmd']['0'] += $mime['avi'] ;
				$values[$domain]['w']['mimeMmd']['1'] += $mime['wma'] ;
				$values[$domain]['w']['mimeMmd']['2'] += $mime['swf'] ;
				$values[$domain]['w']['mimeMmd']['3'] += $mime['mp3'] ;
				$values[$domain]['w']['mimeMmd']['4'] += $mime['mpeg'] ;
				$values[$domain]['w']['mimeMmd']['5'] += $mime['mov'] ;
				$values[$domain]['w']['mimeMmd']['6'] += $mime['vob'] ;

				$values[$domain]['w']['mimeComp']['0'] += $mime['zip'] ;
				$values[$domain]['w']['mimeComp']['1'] += $mime['bz'] ;
				$values[$domain]['w']['mimeComp']['2'] += $mime['gz'] ;
				$values[$domain]['w']['mimeComp']['3'] += $mime['7z'] ;
				$values[$domain]['w']['mimeComp']['4'] += $mime['p7s'] ;
				$values[$domain]['w']['mimeComp']['5'] += $mime['rar'] ;
		        
			};

			if( ($this_year==$element_year) and  ($this_n_day==$element_n_day) ) {   
				$values[$domain]['d']['nbAtt']['0'] += $nbAtt0 ;
				$values[$domain]['d']['nbAtt']['1'] += $nbAtt1 ;
				$values[$domain]['d']['nbAtt']['2'] += $nbAtt2 ;
				$values[$domain]['d']['nbAtt']['3'] += $nbAtt3 ;            
				$values[$domain]['d']['nbAtt']['4'] += $nbAtt4 ;
				$values[$domain]['d']['nbAtt']['5'] += $nbAtt5 ;
				$values[$domain]['d']['nbAtt']['6'] += $nbAtt6 ;
                
				$values[$domain]['d']['volAtt']['0'] += $volAtt100 ;  
				$values[$domain]['d']['volAtt']['1'] += $volAtt200 ;
				$values[$domain]['d']['volAtt']['2'] += $volAtt500 ;
				$values[$domain]['d']['volAtt']['3'] += $volAtt1M ;
				$values[$domain]['d']['volAtt']['4'] += $volAtt2M ;  
				$values[$domain]['d']['volAtt']['5'] += $volAtt3M ;
				$values[$domain]['d']['volAtt']['6'] += $volAtt4M ;
				$values[$domain]['d']['volAtt']['7'] += $volAtt5M ;
				$values[$domain]['d']['volAtt']['8'] += $volAtt6M ;  

				$values[$domain]['d']['mimePict']['0'] += $mime['jpeg'] ;
				$values[$domain]['d']['mimePict']['1'] += $mime['tiff'] ;	    
				$values[$domain]['d']['mimePict']['2'] += $mime['png'] ;
				$values[$domain]['d']['mimePict']['3'] += $mime['svg'] ; 
				$values[$domain]['d']['mimePict']['4'] += $mime['bmp'] ;
				$values[$domain]['d']['mimePict']['5'] += $mime['gif'] ;

				$values[$domain]['d']['mimeOff']['0']  += $mime['odt'] ;
				$values[$domain]['d']['mimeOff']['1']  += $mime['ods'] ;
				$values[$domain]['d']['mimeOff']['2']  += $mime['odp'] ;
				$values[$domain]['d']['mimeOff']['3']  += $mime['doc'] ;
				$values[$domain]['d']['mimeOff']['4']  += $mime['xls'] ;
				$values[$domain]['d']['mimeOff']['5']  += $mime['ppt'] ;
				$values[$domain]['d']['mimeOff']['6']  += $mime['txt'] ;
				$values[$domain]['d']['mimeOff']['7']  += $mime['rtf'] ;
				$values[$domain]['d']['mimeOff']['8']  += $mime['pdf'] ;
				$values[$domain]['d']['mimeOff']['9']  += $mime['docx'] ;
				$values[$domain]['d']['mimeOff']['10'] += $mime['xlsx'] ;
				$values[$domain]['d']['mimeOff']['11'] += $mime['pptx'] ;

				$values[$domain]['d']['mimeMmd']['0'] += $mime['avi'] ;
				$values[$domain]['d']['mimeMmd']['1'] += $mime['wma'] ;
				$values[$domain]['d']['mimeMmd']['2'] += $mime['swf'] ;
				$values[$domain]['d']['mimeMmd']['3'] += $mime['mp3'] ;
				$values[$domain]['d']['mimeMmd']['4'] += $mime['mpeg'] ;
				$values[$domain]['d']['mimeMmd']['5'] += $mime['mov'] ;
				$values[$domain]['d']['mimeMmd']['6'] += $mime['vob'] ;

				$values[$domain]['d']['mimeComp']['0'] += $mime['zip'] ;
				$values[$domain]['d']['mimeComp']['1'] += $mime['bz'] ;
				$values[$domain]['d']['mimeComp']['2'] += $mime['gz'] ;
				$values[$domain]['d']['mimeComp']['3'] += $mime['7z'] ;
				$values[$domain]['d']['mimeComp']['4'] += $mime['p7s'] ;
				$values[$domain]['d']['mimeComp']['5'] += $mime['rar'] ;
			};
		};
	};

    return $values;
}; 


function setMo($value) 
{
    return round($value).' Mo';
};

function setRoundValue($value)
{
        return round($value) ;
};



/*
array $values : extraction de la tables MySQL faite par get_values().
$domain       : autre que GlobalServer & Externe
$case         : ingoing,outgoing,outgoingvol (entrant, sortant,volume sortant)

*/
function do_img(&$values,$domain,$case,$type)
{
    Global $this_year,$this_week,$this_month,$this_n_day  ;
    Global $path_to_data,$path_to_pChart,$case_img;        
    Global $do_graph_domain, $do_graph_global_server, $do_graph_external_server;	

    
    $path_to_img = $path_to_data.$domain."/img/".$this_year."/";
   

    /* pChart library inclusions */
    require_once $path_to_pChart."class/pData.class.php";
    require_once $path_to_pChart."class/pRadar.class.php";
    require_once $path_to_pChart."class/pDraw.class.php";
    require_once $path_to_pChart."class/pImage.class.php";

 
    // Ctrl existance du dossier image
    verif_existence_rep($path_to_img);

    $y1_title = $do_graph_domain." $domain ";
    $y2_title = $do_graph_global_server;
    $y3_title = $do_graph_external_server;

    if($type=="y")
    {
        $y1 = $values[$domain]['y'][$case];
        $y2 = $values['GlobalServer']['y'][$case];
    	$y3 = $values['Externe']['y'][$case];
        $title    = $case_img[$case]['titley'] ;
        $img = $path_to_img."Y".$this_year."_".$case.".png" ;
    };

    if($type=="m")
    {
        $y1 = $values[$domain]['m'][$case];
        $y2 = $values['GlobalServer']['m'][$case];
        $y3 = $values['Externe']['m'][$case];
        $title    = $case_img[$case]['titlem'] ;
        $img = $path_to_img."M".$this_month."_".$case.".png" ;
    };

    if($type=="w")
    {
        $y1 = $values[$domain]['w'][$case];
        $y2 = $values['GlobalServer']['w'][$case];
        $y3 = $values['Externe']['w'][$case];
        $title    = $case_img[$case]['titlew'] ;
        $img = $path_to_img."W".$this_week."_".$case.".png" ;
    };

    if($type=="d")
    {
        $y1 = $values[$domain]['d'][$case];
        $y2 = $values['GlobalServer']['d'][$case];
        $y3 = $values['Externe']['d'][$case];
        $title    = $case_img[$case]['titled'] ;
        $img = $path_to_img."D".$this_n_day."_".$case.".png" ;
    };

	

    // Dataset definition   
	$MyData = new pData() ; 

	if($case == "nbAtt")     { $label = array("0","1","2","3","4","5","6+")  ;};
	if($case == "volAtt")    { $label = array("<100K","<200K","<500K","<1M","<2M","<3M","<4M","<5M",">5M") ;};
	if($case == "mimePict")  { $label = array("jpeg","tiff","png","svg","bmp","gif") ;};
	if($case == "mimeOff")   { $label = array("odt","ods","odp","doc","xls","ppt","txt","rtf","pdf","docx","xlsx","pptx") ;};
	if($case == "mimeMmd")   { $label = array("avi","wma","swf","mp3","mpeg","mov","vob") ;};
	if($case == "mimeComp")  { $label = array("zip","bz","gz","7z","p7s","rar") ;}; 
  

    $MyData->AddPoints($y1,"Serie1");
    $y1_colorscheme = array("R"=>15,"G"=>44,"B"=>52,"Alpha"=>80);
	$MyData->setPalette("Serie1",$y1_colorscheme);
    $y2_colorscheme = array("R"=>184,"G"=>0,"B"=>40,"Alpha"=>80);
	
    $compArray = array_diff($y1 ,$y2);
	if(!empty($compArray)) {
		$MyData->AddPoints($y2,"Serie2");
        $MyData->setPalette("Serie2",$y2_colorscheme);
	};


	$MyData->AddPoints($y3,"Serie3");
	$y3_colorscheme = array("R"=>240,"G"=>165,"B"=>40,"Alpha"=>80);
    $MyData->setPalette("Serie3",$y3_colorscheme);

	$MyData->SetSerieDescription("Serie1",$y1_title);
	$MyData->SetSerieDescription("Serie2",$y2_title);
    $MyData->SetSerieDescription("Serie3",$y3_title);

	$MyData->AddPoints($label,"Label");
	$MyData->SetAbscissa("Label");
	  
	$MyData->setPalette("Score",array("R"=>157,"G"=>196,"B"=>22));

 
	/* Create the pChart object */
	$myPicture = new pImage(700,420,$MyData);
	
	$myPicture->drawGradientArea(0,0,700,420,DIRECTION_VERTICAL,array("StartR"=>0,"StartG"=>75,"StartB"=>123,"EndR"=>166,"EndG"=>202,"EndB"=>219,"Alpha"=>100));
	$myPicture->drawGradientArea(0,0,700,20,DIRECTION_HORIZONTAL,array("StartR"=>0,"StartG"=>75,"StartB"=>123,"EndR"=>10,"EndG"=>85,"EndB"=>133,"Alpha"=>100));
	
	$myPicture->drawLine(0,20,700,20,array("R"=>255,"G"=>255,"B"=>255));
	$RectangleSettings = array("R"=>180,"G"=>180,"B"=>180,"Alpha"=>100);
 
	/* Add a border to the picture */
	$myPicture->drawRectangle(0,0,699,419,array("R"=>0,"G"=>0,"B"=>0));
 
	/* Write the picture title */
	$myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
	$myPicture->drawText(10,15,$title,array("R"=>255,"G"=>255,"B"=>255));
 
	/* Set the default font properties */
	$myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>10,"R"=>80,"G"=>80,"B"=>80));
 
	/* Enable shadow computing */
	$myPicture->setShadow(TRUE,array("X"=>2,"Y"=>2,"R"=>0,"G"=>0,"B"=>0,"Alpha"=>10));
 
	/* Create the pRadar object */
	$SplitChart = new pRadar();
 
	/* Draw a radar chart */
	$myPicture->setGraphArea(10,35,400,400);
	$myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8,"R"=>5,"G"=>5,"B"=>5));
	$Options = array("DrawPoly"=>TRUE,"WriteValues"=>TRUE,"ValueFontSize"=>8,"Layout"=>RADAR_LAYOUT_STAR, "LabelPos"=>RADAR_LABELS_HORIZONTAL,"BackgroundGradient"=>array("StartR"=>255,"StartG"=>255,"StartB"=>255,"StartAlpha"=>100,"EndR"=>207,"EndG"=>227,"EndB"=>125,"EndAlpha"=>50));
	$SplitChart->drawRadar($myPicture,$MyData,$Options);


    // creae the values table 
	$intialY = "133" ;
    if(!empty($compArray)) {	

        $myPicture->drawGradientArea(400,100,680,360,DIRECTION_VERTICAL,array("StartR"=>49,"StartG"=>94,"StartB"=>118,"EndR"=>99,"EndG"=>144,"EndB"=>168,"Alpha"=>100));
        $myPicture->drawGradientArea(400,100,680,120,DIRECTION_HORIZONTAL,array("StartR"=>30,"StartG"=>30,"StartB"=>30,"EndR"=>100,"EndG"=>100,"EndB"=>100,"Alpha"=>100));
        $myPicture->drawLine(400,119,680,119,array("R"=>255,"G"=>255,"B"=>255));
        $RectangleSettings = array("R"=>180,"G"=>180,"B"=>180,"Alpha"=>100);

        $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
        $myPicture->drawText(410,115,"Valeurs : Domaine / Global / Externe",array("R"=>255,"G"=>255,"B"=>255));

		/* Write the 1st line table  */
		$Settings = array("R"=>255,"G"=>255,"B"=>255,"Align"=>TEXT_ALIGN_BOTTOMLEFT);
        $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
        $thisYPos=$intialY;
        foreach($label as $key => $val) {
           	$myPicture->drawText(402,$thisYPos,"$val  ",$Settings);
           	$myPicture->drawText(445,$thisYPos,number_format($y1[$key],0,',',' ') ,$y1_colorscheme);
           	$myPicture->drawText(525,$thisYPos,number_format($y2[$key],0,',',' ') ,$y2_colorscheme);
           	$myPicture->drawText(605,$thisYPos,number_format($y3[$key],0,',',' ') ,$y3_colorscheme);
																				                
           	$thisYLinePos = $thisYPos + 4 ;
           	$myPicture->drawLine(400,$thisYLinePos,680,$thisYLinePos,array("R"=>2,"G"=>2,"B"=>2));

			$thisYPos += 20 ;
		};

    } else {

		$myPicture->drawGradientArea(500,100,680,360,DIRECTION_VERTICAL,array("StartR"=>49,"StartG"=>94,"StartB"=>118,"EndR"=>99,"EndG"=>144,"EndB"=>168,"Alpha"=>100));
		$myPicture->drawGradientArea(500,100,680,120,DIRECTION_HORIZONTAL,array("StartR"=>30,"StartG"=>30,"StartB"=>30,"EndR"=>100,"EndG"=>100,"EndB"=>100,"Alpha"=>100));
		$myPicture->drawLine(500,119,680,119,array("R"=>255,"G"=>255,"B"=>255));
		$RectangleSettings = array("R"=>180,"G"=>180,"B"=>180,"Alpha"=>100);


		$myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
		$myPicture->drawText(510,115,"Valeurs : Domaine / Externe",array("R"=>255,"G"=>255,"B"=>255));



        /* Write the 1st line table  */
		$Settings = array("R"=>255,"G"=>255,"B"=>255,"Align"=>TEXT_ALIGN_BOTTOMLEFT);
        $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8));
        $thisYPos=$intialY;
        foreach($label as $key => $val) {
        	$myPicture->drawText(502,$thisYPos,"$val  ",$Settings);
	        $myPicture->drawText(545,$thisYPos,number_format($y1[$key],0,',',' ') ,$y1_colorscheme);
	        $myPicture->drawText(605,$thisYPos,number_format($y3[$key],0,',',' ') ,$y3_colorscheme);

	        $thisYLinePos = $thisYPos + 4 ;
	        $myPicture->drawLine(500,$thisYLinePos,680,$thisYLinePos,array("R"=>2,"G"=>2,"B"=>2));
       		$thisYPos += 20 ;
        };
	};



    $myPicture->setFontProperties(array("FontName"=>$path_to_pChart."fonts/verdana.ttf","FontSize"=>8,"R"=>5,"G"=>5,"B"=>5));
    $myPicture->drawLegend(410,40,array("Style"=>LEGEND_BOX,"Mode"=>LEGEND_VERTICAL));
 
    /* Write the Service*/
	$myPicture->drawFromPNG(530,364,"/usr/share/bm-stats/scripts/PHP/do_graph/logo-bluemind.png");

    /* Render the picture (choose the best way) */
    $myPicture->render($img);
   
};

/* Fin des fonctions locales */


?>